# whenReady

abstract fun whenReady(closure: Closure)

Adds a closure to be called when this graph has been populated. This graph is passed to the closure as a parameter.

#### Parameters

closure

The closure to execute when this graph has been populated.

abstract fun whenReady(action: Action<TaskExecutionGraph>)

Adds an action to be called when this graph has been populated. This graph is passed to the action as a parameter.

#### Since

3.1

#### Parameters

action

The action to execute when this graph has been populated.